import { ATN, DFA, FailedPredicateException, Parser, ParserRuleContext, TerminalNode, TokenStream } from 'antlr4';
export default class WhiteboxParser extends Parser {
    static readonly LOREM = 1;
    static readonly IPSUM = 2;
    static readonly DOLOR = 3;
    static readonly SIT = 4;
    static readonly AMET = 5;
    static readonly CONSECTETUR = 6;
    static readonly ADIPISCING = 7;
    static readonly WS = 8;
    static readonly EOF: number;
    static readonly RULE_test1 = 0;
    static readonly RULE_rule1 = 1;
    static readonly RULE_rule2 = 2;
    static readonly RULE_rule3 = 3;
    static readonly RULE_rule4 = 4;
    static readonly RULE_rule5 = 5;
    static readonly RULE_test2 = 6;
    static readonly RULE_rule7 = 7;
    static readonly RULE_rule8 = 8;
    static readonly RULE_rule9 = 9;
    static readonly RULE_rule10 = 10;
    static readonly RULE_rule11 = 11;
    static readonly RULE_test3 = 12;
    static readonly RULE_rule13 = 13;
    static readonly literalNames: (string | null)[];
    static readonly symbolicNames: (string | null)[];
    static readonly ruleNames: string[];
    get grammarFileName(): string;
    get literalNames(): (string | null)[];
    get symbolicNames(): (string | null)[];
    get ruleNames(): string[];
    get serializedATN(): number[];
    protected createFailedPredicateException(predicate?: string, message?: string): FailedPredicateException;
    constructor(input: TokenStream);
    test1(): Test1Context;
    rule1(): Rule1Context;
    rule2(): Rule2Context;
    rule3(): Rule3Context;
    rule4(): Rule4Context;
    rule5(): Rule5Context;
    test2(): Test2Context;
    rule7(): Rule7Context;
    rule8(): Rule8Context;
    rule9(): Rule9Context;
    rule10(): Rule10Context;
    rule11(): Rule11Context;
    test3(): Test3Context;
    rule13(): Rule13Context;
    static readonly _serializedATN: number[];
    private static __ATN;
    static get _ATN(): ATN;
    static DecisionsToDFA: DFA[];
}
export declare class Test1Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    rule1(): Rule1Context;
    ADIPISCING(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule1Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    rule2(): Rule2Context;
    CONSECTETUR(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule2Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    LOREM(): TerminalNode;
    rule3(): Rule3Context;
    rule5(): Rule5Context;
    SIT_list(): TerminalNode[];
    SIT(i: number): TerminalNode;
    AMET(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule3Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    rule4(): Rule4Context;
    DOLOR(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule4Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    IPSUM(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule5Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
}
export declare class Test2Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    rule7(): Rule7Context;
    ADIPISCING(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule7Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    rule8(): Rule8Context;
    CONSECTETUR(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule8Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    LOREM(): TerminalNode;
    rule11(): Rule11Context;
    rule9(): Rule9Context;
    SIT_list(): TerminalNode[];
    SIT(i: number): TerminalNode;
    AMET(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule9Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    rule10(): Rule10Context;
    DOLOR(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule10Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    IPSUM(): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule11Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    get ruleIndex(): number;
}
export declare class Test3Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    LOREM(): TerminalNode;
    rule13(): Rule13Context;
    CONSECTETUR(): TerminalNode;
    IPSUM(): TerminalNode;
    AMET_list(): TerminalNode[];
    AMET(i: number): TerminalNode;
    get ruleIndex(): number;
}
export declare class Rule13Context extends ParserRuleContext {
    constructor(parser?: WhiteboxParser, parent?: ParserRuleContext, invokingState?: number);
    DOLOR_list(): TerminalNode[];
    DOLOR(i: number): TerminalNode;
    SIT_list(): TerminalNode[];
    SIT(i: number): TerminalNode;
    get ruleIndex(): number;
}
